org.wildfly.swarm.jmx

## Class JMXFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.JMX<JMXFraction>
      - - org.wildfly.swarm.jmx.JMXFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<JMXFraction>

      public class JMXFraction
      extends JMX<JMXFraction>
      implements Fraction<JMXFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JMX

      `JMX.JMXResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMXFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.

    - ### Methods inherited from class org.wildfly.swarm.config.JMX

      `addPropertyChangeListener, auditLogConfiguration, auditLogConfiguration, auditLogConfiguration, auditLogConfiguration, expressionExposeModel, expressionExposeModel, expressionExposeModel, expressionExposeModel, getKey, jmxRemotingConnector, jmxRemotingConnector, jmxRemotingConnector, jmxRemotingConnector, nonCoreMbeanSensitivity, nonCoreMbeanSensitivity, removePropertyChangeListener, resolvedExposeModel, resolvedExposeModel, resolvedExposeModel, resolvedExposeModel, showModel, showModel, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JMXFraction

          public JMXFraction()

  - ### Method Detail

    - #### applyDefaults

          public JMXFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JMXFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.